//
//  HZWSelectTime.h
//  LoopPicker循环滚动显示数据
//
//  Created by 黄志威 on 2016/11/8.
//  Copyright © 2016年 book. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol HZWPickerDelegate <NSObject>

@optional
//选择了改变的内容
-(void)changeTime:(NSString *)time;


@end

@interface HZWSelectTime : UIView<UIPickerViewDelegate,UIPickerViewDataSource>

@property(nonatomic,strong)UIPickerView *pickerView;
@property(nonatomic,strong)UIView *topView;

@property(nonatomic,weak)id<HZWPickerDelegate>delegate;
@property(nonatomic,copy)NSArray *hoursArray;
@property(nonatomic,copy)NSArray *minuteArray;
@property(nonatomic,copy)NSArray *minuteArray2;

@property(nonatomic,strong)NSString *hour;
@property(nonatomic,strong)NSString *minute;

//类方法创建
+(instancetype)datePickerViewWithdDelegate:(id)delegate;
//实例方法创建
//默认显示0列0行
-(instancetype)initWithFrame:(CGRect)frame andDelegate:(id)delegate;
//指定显示的列和行
//-(instancetype)initWithFrame:(CGRect)frame andDelegate:(id)delegate didSelectRow:(NSInteger)row inComponent:(NSInteger)component;

-(void)show;

@end
